import { Card, Descriptions } from "antd";
import { useAppContext } from "../../Contexts/AppContext";
import { Constants } from "../../utils";
import { useTranslation } from "react-i18next";

export default function PaymentPlan() {
  const { t } = useTranslation();
  const appContext = useAppContext();

  return (
    <Card title={t("paymentPlan.title")}>
      <Descriptions>
        <Descriptions.Item label={t("paymentPlan.plan")}>
          {Constants.PAYMENT_PLAN[appContext.paymentPlan].name}
        </Descriptions.Item>
        <Descriptions.Item
          label={t("paymentPlan.contentsOfSubscription.title")}
        >
          <>
            {t("paymentPlan.contentsOfSubscription.maxEmployees")}{" "}
            {Constants.PAYMENT_PLAN[appContext.paymentPlan].maxEmployees}
            <br />
            {t(
              "paymentPlan.contentsOfSubscription.calendarMaxFutureBookingDays"
            )}
            :{" "}
            {
              Constants.PAYMENT_PLAN[appContext.paymentPlan]
                .calendarMaxFutureBookingDays
            }
            <br />
          </>
        </Descriptions.Item>
      </Descriptions>
    </Card>
  );
}
